package at.jku.ssw.map;

public class HashMapUtil {

	/**
	 * Returns the floor modulus of the int arguments.
	 * 
	 * The floor modulus is <code> a % b = a - a / b * b</code> has the same
	 * sign as the divisor <code>b</code>.
	 */
	public static int mod(int a, int b) {
		return (a % b + b) % b;
	}
}
